import db
import pytest



@pytest.fixture
def client(mocker):
    mocker.patch("db.redis_client")
    db.redis_client.get.side_effect=lambda a: None

    from app import app

    app.config['TESTING'] = True

    with app.test_client() as client:
        yield client


def test_response_length(client):
    r = client.get('/consumers')

    assert r.status_code == 200
